.form-check-input {
    &[type="radio"] {
        position: absolute;
        z-index: -1;
        opacity: 0;
        margin: 10px 0 0 7px;
        
        + label {
            position: relative;
            padding: 0 0 0 24px;
            cursor: pointer;
            color: rgba($body-color, .6);

            &:before {
                content: '';
                position: absolute;
                top: 0;
                left: 0;
                width: 20px;
                height: 20px;
                border: 1px solid #D8D8D8;
                border-radius: 50%;
                background: #FFF;
            }
            &:after {
                content: '';
                position: absolute;
                top: 5px;
                left: 5px;
                width: 10px;
                height: 10px;
                border-radius: 50%;
                background: $primary;
                opacity: 0;
                transition: .2s;
            }
        }
        &:checked{
            +label {
                color: $body-color;

                &:after{
                    opacity: 1;
                }
                
                &:before {
                    border-color: $primary;
                }
            }
        }
        
        &:focus{
            +label {
                &:before {
                    box-shadow: 0 0 0 .1rem rgba($primary, .25  );
                }
            }
        }
    }
}
.checkbox + label {
    position: relative;
    padding: 0 0 0 60px;
    cursor: pointer;
}
.checkbox + label:before {
    content: '';
    position: absolute;
    top: -4px;
    left: 0;
    width: 50px;
    height: 26px;
    border-radius: 13px;
    background: #CDD1DA;
    box-shadow: inset 0 2px 3px rgba(0,0,0,.2);
    transition: .2s;
}
.checkbox + label:after {
    content: '';
    position: absolute;
    top: -2px;
    left: 2px;
    width: 22px;
    height: 22px;
    border-radius: 10px;
    background: #FFF;
    box-shadow: 0 2px 5px rgba(0,0,0,.3);
    transition: .2s;
}
.checkbox:checked + label:before {
    background: #9FD468;
}
.checkbox:checked + label:after {
    left: 26px;
}
.checkbox:focus + label:before {
    box-shadow: inset 0 2px 3px rgba(0,0,0,.2), 0 0 0 3px rgba(255,255,0,.7);
}